<script>
  let id = '';
  let errorMessage = '';

  async function deleteEmployee(event) {
    event.preventDefault();
    errorMessage = '';

    if (!id) {
      errorMessage = 'Please enter a valid Employee ID';
      return;
    }

    const response = await fetch(`/employees/${id}`, {
      method: 'DELETE',
    });

    if (response.ok) {
      alert('Employee deleted successfully.');
      id = '';
    } else {
      errorMessage = 'Es gab bei der Entlassung einen Fehler :-( ...';
    }
  }
</script>

<style>
    input {
        width: 500px;
    }
  .error-message {
    color: red;
  }
</style>

<h1>Mitarbeiter*in entlassen</h1>
<form on:submit="{deleteEmployee}">
  <label for="id">Employee ID</label>
  <input type="text" id="id" bind:value="{id}" required />

  <button type="submit">Entlassen</button>
</form>

{#if errorMessage}
  <p class="error-message">{errorMessage}</p>
{/if}
